> For the complete documentation index, see [llms.txt](https://docs.lenses.io/latest/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lenses.io/latest/deployment/configuration/agent/automation/schema-registries/ibm-event-streams-registry.md).

# IBM Event Streams Registry

{% hint style="warning" %}
Requires Enterprise subscription on IBM Event Streams and only hard delete is supported for IBM Event streams
{% endhint %}

To configure an application to use this compatibility API, specify the Schema Registry endpoint in the following format:

```
https://token:{$APIKEY}@{$HOST}/confluent
```

{% hint style="success" %}
Use "**token**" as the username. Set the password as your API KEY from IBM Event streams

Only one Schema Registry connection is allowed.

Name must be schema-registry.

See [JSON schema](/latest/deployment/configuration/agent/overview.md#json-schema-support) for support.

Environment variables are supported; escape the dollar sign

```yaml
sslKeystorePassword:
  value: "\${ENV_VAR_NAME}"
```

{% endhint %}

{% code title="provisioning.yaml" %}

```yaml
confluentSchemaRegistry:
  - name: schema-registry
    tags: ["tag1"]
    version: 1      
    configuration:
      schemaRegistryUrls:
        value:
          - https://token:{$APIKEY}@{$HOST}/confluent
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lenses.io/latest/deployment/configuration/agent/automation/schema-registries/ibm-event-streams-registry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
